<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='CIPPartesPendientes#'.$_SESSION['empresa'].'#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboClientes=array();
$comboFechas=array();
$comboOperarioControl=array();
$comboOperarioRealizacion=array();


	
foreach($resultado as $item) {

	if(!in_array($item['ClienteDes'],$comboClientes) && $item['ClienteDes']!='') $comboClientes[]=$item['ClienteDes'];
	if(!in_array($item['FechaCreacion'],$comboFechas) && $item['FechaCreacion']!='') $comboFechas[]=$item['FechaCreacion'];
	if(!in_array($item['ControladaPorDes'],$comboOperarioControl) && $item['ControladaPorDes']!='') $comboOperarioControl[]=$item['ControladaPorDes'];
	if(!in_array($item['RealizadaPorDes'],$comboOperarioRealizacion) && $item['RealizadaPorDes']!='') $comboOperarioRealizacion[]=$item['RealizadaPorDes'];
		
}

asort($comboClientes);
asort($comboFechas);
asort($comboOperarioControl);
asort($comboOperarioRealizacion);

?>
<script>

var comboClientes=Array(<?php foreach($comboClientes as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboFechas=Array(<?php foreach($comboFechas as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboOperarioControl=Array(<?php foreach($comboOperarioControl as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);
var comboOperarioRealizacion=Array(<?php foreach($comboOperarioRealizacion as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);

</script>
<?php

if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

	?>
    <table class="tablaFormateada anchoMaximo" style="font-size:0.9em">
	<tr style="white-space:nowrap">
		<th>Nº Parte</th>
        <?php if(count($_SESSION['empresas'])>1) { ?>
		<!--<th>Empresa</th>-->
        <?php } ?>
		<th>Fecha</th>
		<th>Cliente</th>
		<th>Contenedor</th>
		<!--<th>Inspección controlada por</th>-->
		<!--<th>Inspección realizada por</th>-->
        <th>Muelle</th>
        <th>Firmado</th>
	</tr>
    
	<?php foreach($resultado as $parte) { ?>
	<tr parte="<?php echo $parte['NumParte']; ?>" class="lineaOrden clicable mostrarCargando" style="height:75px" cliente="<?php echo $parte['ClienteDes']; ?>" fecha="<?php echo $parte['FechaCreacion']; ?>" operarioControl="<?php echo $parte['ControladaPorDes']; ?>" operarioRealizacion="<?php echo $parte['RealizadaPorDes']; ?>">
		<td><?php echo $parte['NumParte']; ?></td>
        <?php if(count($_SESSION['empresas'])>1) { ?>
		<!--<td align="center"><?php echo $parte['Empresa']; ?></td>-->
        <?php } ?>
		<td align="center"><?php echo fechaNacional($parte['FechaCreacion']); ?></td>
		<td><?php echo $parte['ClienteDes']; ?></td>
		<td align="center"><?php echo $parte['ContenMatri']; ?></td>
        <!--<td><?php echo $parte['ControladaPorDes']; ?></td>-->
		<!--<td><?php echo $parte['RealizadaPorDes']; ?></td>-->
        <td align="center"><?php echo $parte['MuelleNombre']; ?></td>
        <td align="center"><?php if($parte['Firmado']=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/ok.png" alt="OK" /><?php } ?></td>
	</tr>
	<?php } ?>
    </table>
    

    
<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Cliente:<br /> 
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Fecha:<br />
                <select name="filtroFecha" id="filtroFecha" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboFechas as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo fechaNacional($item); ?></option>
                    <?php } ?>
                </select>
                </td>
                <!--
                <td>
                Controlado por:<br />
                <select name="filtroOperarioControl" id="filtroOperarioControl" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboOperarioControl as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                 <td>
                Realizado por:<br />
                <select name="filtroOperarioRealizacion" id="filtroOperarioRealizacion" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboOperarioRealizacion as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                -->
                <input type="hidden" name="filtroOperarioControl" id="filtroOperarioControl" value="" />
                <input type="hidden" name="filtroOperarioRealizacion" id="filtroOperarioRealizacion" value="" />
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
	<script>
	
		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroCliente').val()=='' && $('#filtroFecha').val()=='' && $('#filtroOperarioControl').val()=='' && $('#filtroOperarioRealizacion').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaCliente=false;
				var coincidenciaFecha=false;
				var coincidenciaOperarioControl=false;
				var coincidenciaOperarioRealizacion=false;
			
				if( $('#filtroCliente').val()!='' && $(this).attr('cliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
				
				if( $('#filtroFecha').val()!='' && $(this).attr('fecha')==$('#filtroFecha').val() ) coincidenciaFecha=true;
				else if( $('#filtroFecha').val()=='' ) coincidenciaFecha=true;
				
				if( $('#filtroOperarioControl').val()!='' && $(this).attr('operarioControl')==$('#filtroOperarioControl').val() ) coincidenciaOperarioControl=true;
				else if( $('#filtroOperarioControl').val()=='' ) coincidenciaOperarioControl=true;
				
				if( $('#filtroOperarioRealizacion').val()!='' && $(this).attr('operarioRealizacion')==$('#filtroOperarioRealizacion').val() ) coincidenciaOperarioRealizacion=true;
				else if( $('#filtroOperarioRealizacion').val()=='' ) coincidenciaOperarioRealizacion=true;
				
				console.log('filtro seleccionado: '+$('#filtroOperarioControl').val());
				console.log('operarioControl: '+$(this).attr('operarioControl'));
				console.log('coincidenciaOperarioControl: '+coincidenciaOperarioControl);
				
				if( coincidenciaCliente && coincidenciaFecha && coincidenciaOperarioControl && coincidenciaOperarioRealizacion) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
	
		$(document).ready(function() {
			
			$(document).on('click','.lineaOrden',function(){
				$('#popupCargando').show();
				window.location='<?php echo $rutaHtml; ?>/inspeccion-portuaria-parte.php?parte='+$(this).attr('parte');	
			});
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroCliente option:selected').removeProp('selected');
				$('#filtroFecha option:selected').removeProp('selected');
				$('#filtroOperarioControl option:selected').removeProp('selected');
				$('#filtroOperarioRealizacion option:selected').removeProp('selected');
				
				$('#filtroCliente option[value=""]').prop('selected',true);
				$('#filtroFecha option[value=""]').prop('selected',true);
				$('#filtroOperarioControl option[value=""]').prop('selected',true);
				$('#filtroOperarioRealizacion option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
			});
			
		});
	
	</script>
    
	<?php
}
else {
	?><p>No hay ningún Parte de Inspección pendiente.</p><?php
}
?>